Create Customer Key V2 has been deprecated and will soon be removed
No action is needed, current projects using deprecated APIs will remain live. The POST /irc/v2/customerkeys endpoint has been deprecated and should no longer be used.
FedEx API requires an OAuth access token to be provided with each API transaction to authenticate and authorize your access to the resources.
The Credential Registration API provides FedEx® Compatible solution providers the ability to onboard their customers by generating customer key and password, used for creating OAuth access token to execute API transaction.
FedEx APIs support the OAuth 2.0 (bearer token) authentication method to authorize your app and authenticate your API requests. This OAuth access token must be provided with each API transaction to authenticate and authorize your access to the resources.
Prerequisites
Following are the prerequisites:
API Key/Secret Key
FedEx provides a combination of an API Key and a Secret Key to authenticate API requests associated with your project(s). The API Key and the Secret Key will be associated with each project under your organization created by FedEx administrators.
Customer Details
Following are the customer details required while registering with FedEx:
Create Customer Key and Password
This request is used to a create customer key and a password (secret) for a customer. To create a customer key API Key, API Secret, customer FedEx account number, customer name and address are required.
A customer key and password is a JSON web token provided for each of your customers.
For executing each API transactions, the customers must use the customer key, password along with the API key and API secret to get OAuth token.
To start using FedEx Credential Registration API endpoint, following are the high-level steps involved in the registration process:
Note: The access token expires in an hour, it can be regenerated by using a POST request to the OAuth/token endpoint.
Response